global_dialog 0.1.0

Flutter Android iOS web

A simple package to get you started with dialog interactions from your business logic

Global Dialog #

This is a simple package to get you started with dialog interactions from your business logic directly without having to create widgets of dialog multiple times.

To start using this package simply wrap your entire app globally like so:

GlobalDialog(child: App());

Loading

In order to display a simple loading animation call the showLoading like so:

GlobalDialog.showLoading(context, loading: true);

Once done with your business logic, you might need to call than

GlobalDialog.showLoading(context, loading: false);

Messages

In order to display messages to the user, a simple showMessage could be called for example;

  GlobalDialog.showMessage(
    context,
    button: 'Ok',
    content: 'Example content',
    title: 'Example Title',
    dismissible: true,
  );
Dart attributeDescription
buttonButton to show on a message, depending upon the Type like widget or string the button will shown replacing the default or will replace the default string
titleTitle of the message
contentContent of the message
dismissibleWhether to allow message to be dismissed

Prompt

In order to display a prompt to the user, a simple showPromp could be called for example;

  GlobalDialog.showPrompt(
    context,
    content: 'Example content',
    title: 'Example Title',
    dismissible: true,
    actions: [],
  );
Dart attributeDescription
titleTitle of the prompt
contentContent of the prompt
dismissibleWhether to allow prompt to be dismissed
actionsList of Widgets to handle control over the prompt

Alternatively

if needed GlobalDialog.dialog could be called directly with generic set and builder to display within the dialog.

1
likes
80
pub points
14%
popularity

A simple package to get you started with dialog interactions from your business logic

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

softmaze.ae@gmail.com

License

MIT (LICENSE)

Dependencies

flutter

More

Packages that depend on global_dialog